{ lib, config, ... }:
{
  # TODO: There's probably some fancy nix attr mapping that can be done to set
  # these once and convert them to aliases or abbrs depending on shell.
  programs.fish.shellAbbrs =
    lib.mkIf (config.programs.fish.enable && config.programs.fish.preferAbbrs)
      {
        jf = {
          position = "command";
          expansion = "sudo journalctl --follow --unit";
        };
        je = {
          position = "command";
          expansion = "sudo journalctl --pager-end --unit";
        };
      };

  imports = [
    ./clipboard.nix
    ./dunst.nix
    ./syncthing.nix
  ];
}
